Package twisted :: Package im :: Module basesupport :: Class AbstractGroup

[show private | hide private]
[frames | no frames]

## Class AbstractGroup

Known Subclasses:
  `IRCGroup`, `TwistedWordsGroup`, `TOCGroup`

Method Summary
| `__init__(self, name, baseClient, chatui)`
| `__repr__(self)`
| `__str__(self)`
| ``getGroupCommands`(self)` finds group commands
| ``getTargetCommands`(self, target)` finds group commands

Method Details

### getGroupCommands(self)

finds group commands

these commands are methods on me that start with imgroup_; they are called with no arguments

### getTargetCommands(self, target)

finds group commands

these commands are methods on me that start with imgroup_; they are called with a user present within this room as an argument

you may want to override this in your group in order to filter for appropriate commands on the given user

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net